> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useconquest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create channel

> Create a channel in your workspace



## OpenAPI

````yaml POST /v1/channels
openapi: 3.0.1
info:
  title: Conquest Documentation
  description: Conquest API Reference - Members
  version: 1.0.0
servers:
  - url: https://api.useconquest.com
security: []
paths:
  /v1/channels:
    post:
      description: Create a channel in your workspace
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                  description: Name of the channel
                externalId:
                  type: string
                  description: External ID of the channel
                  example: ext_123
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Channel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
      security:
        - bearerAuth: []
components:
  schemas:
    Channel:
      type: object
      properties:
        channel:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              externalId:
                type: string
                nullable: true
              name:
                type: string
              source:
                type: string
              workspaceId:
                type: string
                format: uuid
              createdAt:
                type: string
                format: date-time
              updatedAt:
                type: string
                format: date-time
    error.BAD_REQUEST:
      type: object
      example:
        code: BAD_REQUEST
        error: Invalid request
    error.UNAUTHORIZED:
      type: object
      example:
        code: UNAUTHORIZED
        error: Authentication failed
    error.NOT_FOUND:
      type: object
      example:
        code: NOT_FOUND
        error: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````